subroutine lubksb(a,n,np,indx,b)
! Stolen from numerical recipes.  Forms a pair with ludcmp
! Uses implicit pivoting  
  use precision
  implicit none
  integer n,np,indx(n)
  real(long) :: a(np,np),b(n)
  integer i,ii,j,ll
  real(long) :: sum
  ii=0
  do i=1,n
    ll=indx(i)
    sum=b(ll)
    b(ll)=b(i)
    if (ii.ne.0)then
      do j=ii,i-1
        sum=sum-a(i,j)*b(j)
      enddo
    else if (sum.ne.0.) then
      ii=i
    endif
    b(i)=sum
  enddo
  do i=n,1,-1
    sum=b(i)
    do j=i+1,n
      sum=sum-a(i,j)*b(j)
    enddo
    b(i)=sum/a(i,i)
  enddo
  return
END
