module precision
! Sets up the precision of the calculation  
  IMPLICIT none
! I understand that one can use a more detailed model but at the same time
!  the underlying architecture is single (1.e0) or double (1.d0) precision.
! I find it easier doing it this way
! WARNING make sure the module is compiled before any program depending on it
! otherwise the existing precision will be used even if you change this file
! ifort -c precision.f90
  INTEGER,PARAMETER :: long=kind(1.e0)
end module precision
